package com.tzy.mapper;

import com.tzy.pojo.app.StatsData;

import java.util.List;

/**
 * 统计Mapper接口
 *
 * @author tencheer
 * @date 2025-01-07
 */
public interface StatsDataMapper {
    /**
     * 查询统计
     *
     * @param id 统计ID
     * @return 统计
     */
    public StatsData selectStatsDataById(Long id);

    /**
     * 查询统计列表
     *
     * @param statsData 统计
     * @return 统计集合
     */
    public List<StatsData> selectStatsDataList(StatsData statsData);

    /**
     * 新增统计
     *
     * @param statsData 统计
     * @return 结果
     */
    public int insertStatsData(StatsData statsData);

    /**
     * 修改统计
     *
     * @param statsData 统计
     * @return 结果
     */
    public int updateStatsData(StatsData statsData);

}
